Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.intercept
Class JavaBeanInterceptor

    java.lang.Object
      org.jboss.seam.intercept.RootInterceptor
          org.jboss.seam.intercept.JavaBeanInterceptor

All Implemented Interfaces:
  Serializable, javassist.util.proxy.MethodHandler

    public class JavaBeanInterceptor

extends RootInterceptor
implements javassist.util.proxy.MethodHandler

Controller interceptor for JavaBean components

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`JavaBeanInterceptor(Object bean, Component component)`

Method Summary
`Object` | `invoke(Object proxy, Method method, Method proceed, Object[] params)`
`void` | `postConstruct()`

Methods inherited from class org.jboss.seam.intercept.RootInterceptor
`getComponent, getComponentName, init, initNonSeamComponent, invoke, invokeAndHandle, isSeamComponent, postConstruct`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaBeanInterceptor

    public JavaBeanInterceptor(Object bean,
                               Component component)

Method Detail

### invoke

    public Object invoke(Object proxy,
                         Method method,
                         Method proceed,
                         Object[] params)
                  throws Throwable

  Specified by:
    `invoke` in interface `javassist.util.proxy.MethodHandler`
  Throws:
    `Throwable`

### postConstruct

    public void postConstruct()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.